package com.factory.web.controller.pad;


import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.vo.req.BaseTypeReq;
import com.factory.web.entity.vo.req.pad.submitCheckReq;
import com.factory.web.entity.vo.req.pad.workDetailsReq;
import com.factory.web.entity.vo.res.pad.ini.abnormalListRes;
import com.factory.web.entity.vo.res.pad.ini.planlistRes;
import com.factory.web.entity.vo.res.pad.ini.workDetailsRes;
import com.factory.web.entity.vo.res.pad.ini.workTypeDetailsRes;
import com.factory.web.service.ini.BentelerIniVersionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 计划 - 检验报告单
 *
 * @author Dl
 * @date 2021-05-12 09:37:25
 */
@Api(tags = "本特勒 - 首件pad端")
@RestController
@RequestMapping("/benteler/pad")
@Slf4j
public class InitialPlanPadController {
    @Autowired
    private BentelerIniVersionService versionService;

    @ApiOperation(value = "首件记录列表")
    @PostMapping("/planlist")
    @ApiOperationSupport(order = 1)
    public ResponseBean<planlistRes> planlist() {

       return versionService.planlist_pad();
    }
    @ApiOperation(value = "首件工作站详情")
    @PostMapping("/workDetails")
    @ApiOperationSupport(order = 1)
    public ResponseBean<List<workDetailsRes>> workDetails(@RequestBody BaseTypeReq req) {

       return versionService.workDetails(req);
    }
    @ApiOperation(value = "工作站单类别详情")
    @PostMapping("/workTypeDetails")
    @ApiOperationSupport(order = 1)
    public ResponseBean<workTypeDetailsRes> workTypeDetails(@RequestBody workDetailsReq req) {

       return versionService.workTypeDetails(req);
    }
    @ApiOperation(value = "保存点检结果")
    @PostMapping("/saveCheckItem")
    @ApiOperationSupport(order = 1)
    public ResponseBean saveCheckItem(@RequestBody workTypeDetailsRes req) {

       return versionService.saveCheckItem(req);
    }
    @ApiOperation(value = "提交计划点检结果")
    @PostMapping("/submitCheck")
    @ApiOperationSupport(order = 1)
    public ResponseBean submitCheck(@RequestBody submitCheckReq req) {

       return versionService.submitCheck(req);
    }
    @ApiOperation(value = "异常列表")
    @PostMapping("/abnormalList")
    @ApiOperationSupport(order = 1)
    public ResponseBean<abnormalListRes> abnormalList() {

       return versionService.abnormalList();
    }







}
